PooledFifo< T, M, O > Class Template Reference

`#include <flcontainers.h>`

Inheritance diagram for PooledFifo< T, M, O >:

## Public Member Functions

| ~PooledFifo ()
T * | New ()
void | Free (T *p)
Public Member Functions inherited from TypedFifo< T >
void | Put (T *c)
T * | Get ()
Public Member Functions inherited from Fifo
void | Put (FifoCell *cl)
FifoCell * | Get ()
bool | Avail () const

## Private Attributes

TypedFifo< T > | reuse
size_t | sz
size_t | resz

## Constructor & Destructor Documentation

## ~PooledFifo()

template<typename T , int M = 2, int O = 1>

PooledFifo< T, M, O >::~PooledFifo | ( |  | ) |

inline

## Member Function Documentation

## Free()

template<typename T , int M = 2, int O = 1>

void PooledFifo< T, M, O >::Free | ( | T * | p | ) |

inline

## New()

template<typename T , int M = 2, int O = 1>

T * PooledFifo< T, M, O >::New | ( |  | ) |

inline

## Member Data Documentation

## resz

template<typename T , int M = 2, int O = 1>

size_t PooledFifo< T, M, O >::resz

private

## reuse

template<typename T , int M = 2, int O = 1>

TypedFifo<T> PooledFifo< T, M, O >::reuse

private

## sz

template<typename T , int M = 2, int O = 1>

size_t PooledFifo< T, M, O >::sz

private

The documentation for this class was generated from the following file:

- flcontainers.h